const addContactForm = document.getElementById('add-contact-form');
const updateContactForm = document.getElementById('update-contact-form');
const editBtn = document.getElementById('update-contact-form');

addContactForm.addEventListener("submit", (e) => {
    e.preventDefault();
    request('/admin/common/api/inbox/add-single-contact.php', '#add-contact-form', function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                new Toast({
                    type: "danger",
                    title: 'Hata!',
                    message: 'Bir hata oluştu. Lütfen tüm alanları kontrol ediniz',
                    duration: 10000,
                });
            } else {
                if (data['status']) {
                    new Toast({
                        type: "success",
                        title: 'İşlem başarılı!',
                        message: data['message'],
                        duration: 5000,
                    });
                    bootstrap.Modal.getInstance(document.getElementById('add-contact-modal')).hide();
                    setTimeout(function(){ location.reload(); }, 5000);
                }else{
                    new Toast({
                        type: "danger",
                        title: 'Hata!',
                        message: data['message'],
                        duration: 10000,
                    });
                }
            }
        } catch (e) {
            new Toast({
                type: "danger",
                title: 'Hata!',
                message: 'Bir hata oluştu. Lütfen daha sonra tekrar deneyiniz',
                duration: 10000,
            });
        }
    });
});

updateContactForm.addEventListener("submit", (e) => {
    e.preventDefault();
    request('/admin/common/api/inbox/edit-single-contact.php', '#update-contact-form', function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                new Toast({
                    type: "danger",
                    title: 'Hata!',
                    message: 'Bir hata oluştu. Lütfen tüm alanları kontrol ediniz',
                    duration: 10000,
                });
            } else {
                if (data['status']) {
                    new Toast({
                        type: "success",
                        title: 'İşlem başarılı!',
                        message: data['message'],
                        duration: 5000,
                    });
                    bootstrap.Modal.getInstance(document.getElementById('update-contactlist-modal')).hide();
                    setTimeout(function(){ location.reload(); }, 5000);
                }else{
                    new Toast({
                        type: "danger",
                        title: 'Hata!',
                        message: data['message'],
                        duration: 10000,
                    });
                }
            }
        } catch (e) {
            new Toast({
                type: "danger",
                title: 'Hata!',
                message: 'Bir hata oluştu. Lütfen daha sonra tekrar deneyiniz',
                duration: 10000,
            });
        }
    });
});

var edit_buttons = document.querySelectorAll('[data-edit]');
if (edit_buttons != null) {
    edit_buttons.forEach((btn) => {
        btn.addEventListener('click', (e) => {
            if (e.currentTarget.hasAttribute("data-id")) {
                var id = e.currentTarget.getAttribute("data-id");
                var name = e.currentTarget.getAttribute("data-name");
                document.getElementById('list-id').value = id;
                document.getElementById('list-name').value = name;
            }
        });
    });
}